> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Compare Bol Versions

> Compare two BOL versions.
Query params: v1={version_id}&v2={version_id}
Highlights: added ops (green), removed (red), changed SAM (yellow)
Returns structured diff



## OpenAPI

````yaml /api/openapi-cutmake.json get /bol/{bol_id}/compare
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /bol/{bol_id}/compare:
    get:
      tags:
        - BOL
      summary: Compare Bol Versions
      description: |-
        Compare two BOL versions.
        Query params: v1={version_id}&v2={version_id}
        Highlights: added ops (green), removed (red), changed SAM (yellow)
        Returns structured diff
      operationId: compare_bol_versions_bol__bol_id__compare_get
      parameters:
        - name: bol_id
          in: path
          required: true
          schema:
            type: string
            title: Bol Id
        - name: v1
          in: query
          required: true
          schema:
            type: integer
            description: First version number
            title: V1
          description: First version number
        - name: v2
          in: query
          required: true
          schema:
            type: integer
            description: Second version number
            title: V2
          description: Second version number
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````